/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：脚本分组表
*
* createdate:  2022-10-18 17:29:49  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本目录新增实体")
public class AtuScriptGroupAddDto implements Serializable
{
    /**
     * 目录名称<br>
     */
    @ApiModelProperty("目录名称")
    @Size(max = 30, message="目录名称: 数据长度不能 > 30" )
    private String groupName;
    /**
     * 目录描述<br>
     */
    @ApiModelProperty("目录描述")
    @Size(max = 255, message="目录描述-description: 数据长度不能 > 255" )
    private String description;
    /**
     * 目录父ID<br>
     */
    @ApiModelProperty("目录父ID")
    private String pid;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    private String projectId;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}